# Rebuild player code This operation rebuilds the player with the current configuration. If you're using the 1.11 API with the new Wowza Video user interface, these endpoints are ignored. The default player configuration is used instead. Create and change player configurations in the user interface. Endpoint: POST /players/{id}/rebuild Version: v1.11 ## Path parameters: - `id` (string, required) The unique alphanumeric string that identifies the player. ## Response 200 fields (application/json): - `player` (object, required) - `player.state` (string) The state of the player. Enum: "requested", "already_requested", "activated" ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)